Bug 809806 - Review Request: perl-Devel-Autoflush - Set autoflush from the command line
Review Request: perl-Devel-Autoflush - Set autoflush from the command line
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 08:35 EDT by Petr Pisar
Modified: 2015-01-14 11:30 EST (History)
4 users (show)

See Also:
Fixed In Version: perl-Devel-Autoflush-0.06-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 09:13:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2012-04-04 08:35:35 EDT
Spec URL: http://ppisar.fedorapeople.org/perl-Devel-Autoflush/perl-Devel-Autoflush.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Devel-Autoflush/perl-Devel-Autoflush-0.05-1.fc18.src.rpm
Description:
This module is a hack to set autoflush for STDOUT and STDERR from the
command line or from PERL5OPT for code that needs it but doesn't have it.
Comment 1 Petr Šabata 2012-04-12 09:38:15 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[-]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/contyk/src/review/809806/Devel-Autoflush-0.05.tar.gz :
  MD5SUM this package     : 071061e12ce7ca4f3d62a2e329db0503
  MD5SUM upstream package : 071061e12ce7ca4f3d62a2e329db0503
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
None.

Approving.

Generated by fedora-review 0.2.0git
External plugins:
Comment 2 Petr Pisar 2012-04-13 08:30:07 EDT
New Package SCM Request
=======================
Package Name: perl-Devel-Autoflush 
Short Description: Set autoflush from the command line
Owners: ppisar mmaslano psabata
Branches: 
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2012-04-13 08:36:43 EDT
Git done (by process-git-requests).
Comment 4 Petr Pisar 2012-04-13 09:13:47 EDT
Thank you for the review and the repository.
Comment 5 David Dick 2014-12-13 06:11:57 EST
Hi Petr,

I would like this in EL6 and EPEL7 so i can build perl-CPAN-Reporter.  I am happy to take responsibility for this if required.
Comment 6 Petr Pisar 2014-12-15 03:13:21 EST
(In reply to David Dick from comment #5)
> I would like this in EL6 and EPEL7 so i can build perl-CPAN-Reporter.  I am
> happy to take responsibility for this if required.

Feel free to maintain this package yourself there.
Comment 7 David Dick 2014-12-15 04:19:46 EST
Thanks Petr

Package Change Request
======================
Package Name: perl-Devel-Autoflush
New Branches: el6 epel7
Owners: ddick
InitialCC: perl-sig
Comment 8 Gwyn Ciesla 2014-12-15 08:18:08 EST
Git done (by process-git-requests).
Comment 9 Fedora Update System 2014-12-16 05:49:17 EST
perl-Devel-Autoflush-0.06-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Devel-Autoflush-0.06-3.el7
Comment 10 Fedora Update System 2014-12-16 05:49:56 EST
perl-Devel-Autoflush-0.06-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Devel-Autoflush-0.06-3.el6
Comment 11 Fedora Update System 2015-01-14 11:29:04 EST
perl-Devel-Autoflush-0.06-3.el7 has been pushed to the Fedora EPEL 7 stable repository.
Comment 12 Fedora Update System 2015-01-14 11:30:03 EST
perl-Devel-Autoflush-0.06-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.